Channels

List promotions

GET
/v1/channels/{id}/promotions

Scope: channels:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/promotions'
Example Response
{  "channel": {    "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",    "name": "E2E Ad Channel India",    "today": "2026-10-30",    "dayparts": [      "E2E Weekday",      "E2E Weekend"    ]  },  "promotions": [],  "counts": {    "total": 0,    "active": 0,    "paused": 0,    "ended": 0,    "inert": 0  }}